Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.graphdb.traversal
Interface Evaluator

    public interface Evaluator

An Evaluator controls what's to be returned from a traversal and also how pruning is done. It looks at a `Path` and decides whether or not it should be included in the traversal result. It also decides whether the traverser should continue down that path or if it should be pruned so that the traverser won't continue down that path. `Evaluator` and the corresponding `TraversalDescription.evaluator(Evaluator)` will replace `TraversalDescription.prune(PruneEvaluator)` and `TraversalDescription.filter(Predicate)` because of the flexibility and performance improvements it can provide.

Author:
  Mattias Persson
See Also:
  `Evaluation`, `Evaluators`, `TraversalDescription.evaluator(Evaluator)`

Method Summary
`Evaluation` | `evaluate(Path path)` Evaluates a `Path` and returns an `Evaluation` containing information about whether or not to include it in the traversal result, i.e return it from the `Traverser`.

Method Detail

### evaluate

    Evaluation evaluate(Path path)

  Evaluates a `Path` and returns an `Evaluation` containing information about whether or not to include it in the traversal result, i.e return it from the `Traverser`. And also whether or not to continue traversing down that `path` or if it instead should be pruned so that the traverser won't continue down that branch represented by `path`.

  Parameters:
    `path` - the `Path` to evaluate.
  Returns:
    an `Evaluation` containing information about whether or not to return it from the `Traverser` and whether or not to continue down that path.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.